import 'package:flutter/material.dart';

abstract class AppRoute<A> {
  final String route;

  static final _route = <String, AppRoute>{};

  AppRoute(this.route) {
    _route[route] = this;
  }

  Widget? builder(BuildContext context, {A? argument});

  void navigate(BuildContext context, {required A argument});

  bool get isMainPage;

  @override
  String toString() {
    return route;
  }
}

AppRoute? appRouteFromRoute(String? route) {
  return AppRoute._route[route];
}
