import 'package:flutter/material.dart';

Future<bool> proceed(BuildContext context, String title, String content) {
  return showDialog(
    context: context,
    builder: (context) {
      return AlertDialog(
        title: Text(title),
        content: Text(content),
        actions: [
          TextButton(
            onPressed: () {
              Navigator.pop(context, "No");
            },
            child: const Text("No"),
          ),
          TextButton(
            onPressed: () {
              Navigator.pop(context, "Yes");
            },
            child: const Text("Yes"),
          ),
        ],
      );
    },
  ).then((value) => value == "Yes");
}

Future<bool?> proceed3(BuildContext context, String title, String content) {
  return showDialog(
    context: context,
    builder: (context) {
      return AlertDialog(
        title: Text(title),
        content: Text(content),
        actions: [
          TextButton(
            onPressed: () {
              Navigator.pop(context, "No");
            },
            child: const Text("No"),
          ),
          TextButton(
            onPressed: () {
              Navigator.pop(context, "Yes");
            },
            child: const Text("Yes"),
          ),
        ],
      );
    },
  ).then(
    (value) => value == "Yes"
        ? true
        : value == "No"
            ? false
            : null,
  );
}
