import 'package:flutter/material.dart';

class Combine2Icons extends StatelessWidget {
  const Combine2Icons({
    Key? key,
    required this.subMain,
    required this.main,
    this.alignmentDirectional,
  }) : super(key: key);
  final IconData subMain;
  final IconData main;
  final AlignmentDirectional? alignmentDirectional;

  @override
  Widget build(BuildContext context) {
    return Stack(
      alignment: alignmentDirectional ?? AlignmentDirectional.bottomEnd,
      children: [
        Padding(
          padding: const EdgeInsets.only(bottom: 10.0, right: 10.0),
          child: Icon(main, size: 30),
        ),
        Icon(subMain, size: 15),
      ],
    );
  }
}

class AlternateText extends StatelessWidget {
  const AlternateText(this.data, {Key? key}) : super(key: key);
  final Iterable<String> data;

  @override
  Widget build(BuildContext context) {
    final childern = <TextSpan>[];
    final style = TextStyle(color: Theme.of(context).colorScheme.tertiary);
    for (var i = 0; i < data.length; i++) {
      childern.add(
        i % 2 == 1
            ? TextSpan(
                text: data.elementAt(i),
                style: style,
              )
            : TextSpan(text: data.elementAt(i)),
      );
    }
    return RichText(
      text: TextSpan(
        children: childern,
        style: Theme.of(context).textTheme.titleMedium,
      ),
    );
  }
}
